<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVarFromDb Method (IEdmEnumeratorVariable6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable6 Interface : GetVarFromDb Method (IEdmEnumeratorVariable6)

Visual Basic
C#
C++/CLI

bsVarName
  Name of variable to read

bsCfgName
  Name of configuration or layout from which to get the variable value; empty string for folders and file types that do not support configurations

poRetValue
  Variable value

Reads a variable from the SOLIDWORKS PDM Professional database.

# Syntax

Visual Basic |
--- | ---

    Function GetVarFromDb( _
       ByVal bsVarName As System.String, _
       ByVal bsCfgName As System.String, _
       ByRef poRetValue As System.Object _
    ) As System.Boolean

C# |
--- | ---

    System.bool GetVarFromDb(
       System.string bsVarName,
       System.string bsCfgName,
       out System.object poRetValue
    )

C++/CLI |
--- | ---

    System.bool GetVarFromDb(
    &   System.String^ bsVarName,
    &   System.String^ bsCfgName,
    &   [Out] System.Object^ poRetValue
    )

#### Parameters

bsVarName
  Name of variable to read
bsCfgName
  Name of configuration or layout from which to get the variable value; empty string for folders and file types that do not support configurations
poRetValue
  Variable value

#### Return Value

True if a variable is found, false if not

# Remarks

To read a variable from a checked out file, call IEdmEnumeratorVariable5::GetVar.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The variable is not found.

# See Also

####

IEdmEnumeratorVariable6 Interface
IEdmEnumeratorVariable6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0